/*
 * Copyright (C) 2008 Codership Oy <info@codership.com>
 *
 * $Id: glb_control.h 82 2012-12-01 15:31:21Z alex $
 */

#ifndef _glb_ctrl_h_
#define _glb_ctrl_h_

#include "glb_socket.h"
#include "glb_router.h"
#include "glb_pool.h"

typedef struct glb_ctrl glb_ctrl_t;

/*!
 * Creates control thread
 * @param router
 * @param port
 *        default destination port
 * @param fifo
 *        control fifo descriptor
 * @param sock
 *        socket to listen at for ctrl form another host, may be 0
 */
extern glb_ctrl_t*
glb_ctrl_create (glb_router_t* router,
                 glb_pool_t*   pool,
                 uint16_t      port,
                 int           fifo,
                 int           sock);

extern void
glb_ctrl_destroy (glb_ctrl_t* ctrl);

#endif // _glb_ctrl_h_
